> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runtalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verification Output



## OpenAPI

````yaml openapi.json post /verification-output
openapi: 3.1.0
info:
  title: Insurance Verification API
  version: 0.1.0
servers: []
security: []
paths:
  /verification-output:
    post:
      summary: Verification Output
      operationId: verification_output_verification_output_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResponseModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseModel:
      properties:
        request:
          $ref: '#/components/schemas/RequestModel'
        insurance_data:
          items:
            $ref: '#/components/schemas/InsurancePlanData'
          type: array
          title: Insurance Data
      type: object
      required:
        - request
        - insurance_data
      title: ResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RequestModel:
      properties:
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        input:
          $ref: '#/components/schemas/RequestInfo'
        received_timestamp:
          type: string
          format: date-time
          title: Received Timestamp
        state:
          $ref: '#/components/schemas/RequestState'
        error_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Reason
      type: object
      required:
        - request_id
        - input
        - received_timestamp
        - state
      title: RequestModel
    InsurancePlanData:
      properties:
        uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Uuid
        person_uuid:
          type: string
          title: Person Uuid
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        verification_time:
          type: string
          format: date-time
          title: Verification Time
        verification_source:
          $ref: '#/components/schemas/VerificationSource'
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        patient_info:
          $ref: '#/components/schemas/PatientInfo'
        plan_info:
          $ref: '#/components/schemas/PlanInfo'
      type: object
      required:
        - person_uuid
        - verification_time
        - verification_source
        - patient_info
        - plan_info
      title: InsurancePlanData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RequestInfo:
      properties:
        patient_info:
          $ref: '#/components/schemas/PatientInfo'
        payer_info:
          $ref: '#/components/schemas/PayerInfo'
        provider_info:
          $ref: '#/components/schemas/ProviderInfo'
        cpt_code_coverage:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cpt Code Coverage
        callback_url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Callback Url
      type: object
      required:
        - patient_info
        - payer_info
        - provider_info
        - callback_url
      title: RequestInfo
    RequestState:
      type: string
      enum:
        - pending
        - complete
        - error_verifying
        - error_sending_webhook
      title: RequestState
    VerificationSource:
      type: string
      enum:
        - manual_web_portal
        - manual_phone_call
        - agent_web_portal
        - agent_phone_call
        - api
      title: VerificationSource
    PatientInfo:
      properties:
        subscriber_id:
          type: string
          title: Subscriber Id
        dob:
          type: string
          title: Dob
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
      type: object
      required:
        - subscriber_id
      title: PatientInfo
    PlanInfo:
      properties:
        payer_name:
          $ref: '#/components/schemas/Payer'
        plan_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Name
        eligibility_status:
          anyOf:
            - $ref: '#/components/schemas/EligibilityStatus'
            - type: 'null'
        start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Start Date
        end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: End Date
        cpt_code_coverage:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cpt Code Coverage
      type: object
      title: PlanInfo
    PayerInfo:
      properties:
        name:
          $ref: '#/components/schemas/Payer'
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
      type: object
      required:
        - name
      title: PayerInfo
    ProviderInfo:
      properties:
        npi:
          type: string
          title: Npi
        name:
          type: string
          title: Name
        tin:
          anyOf:
            - type: string
            - type: 'null'
          title: Tin
        organization_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Name
      type: object
      required:
        - npi
        - name
      title: ProviderInfo
    Payer:
      type: string
      enum:
        - Ambetter Meridian MI
        - Ambetter Superior Healthplan TX
        - CHAMPS Medicaid Michigan
        - BCBS Blue Cross Complete
      title: Payer
    EligibilityStatus:
      type: string
      enum:
        - Active
        - Inactive
      title: EligibilityStatus

````